const express = require("express");
const { register, login, logout, session } = require("../controller/authController");
const { requireAuth } = require("../middleware/auth");

const router = express.Router();

router.post("/register", register);
router.post("/login", login);
router.post("/logout", requireAuth, logout);
router.get("/session", session);

module.exports = router;
